#include <bits/stdc++.h>
using namespace std;
long long v,digit,sc=0;;
void score(){
      if(digit==1 or digit==2 or digit==5){
        sc+=1; 
    }
    else if(digit==3 or digit==4 or digit==6 or digit==7){
        sc+=2;
    }
    else{
        sc+=3;
    }
    return;
}
int main() {
    cin>>v;
    while(v>0){
       digit=v%10;
      score();
       v/=10;
    }
  cout<<sc<<endl;
	return 0;
}